%define upstream_name    Net-Amazon-Signature-V4
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Implements the Amazon Web Services signature version 4, AWS4-HMAC-SHA256
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Piece) >= 1.170.0
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
Implements the Amazon Web Services signature version 4, AWS4-HMAC-SHA256.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.210.0-2.mga9
+ Revision: 1813336
- Mageia 9 Mass Rebuild

* Fri Oct 09 2020 tv <tv> 0.210.0-1.mga8
+ Revision: 1632918
- update to 0.21

* Fri Feb 14 2020 umeabot <umeabot> 0.200.0-2.mga8
+ Revision: 1519757
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 tv <tv> 0.200.0-1.mga8
+ Revision: 1511058
- update to 0.20

* Sat Oct 20 2018 tv <tv> 0.190.0-1.mga7
+ Revision: 1322691
- update to 0.19

* Thu Sep 20 2018 umeabot <umeabot> 0.160.0-2.mga7
+ Revision: 1285112
- Mageia 7 Mass Rebuild

* Tue Nov 21 2017 kharec <kharec> 0.160.0-1.mga7
+ Revision: 1178009
- fix: add description tag
- imported package perl-Net-Amazon-Signature-V4


* Tue Nov 21 2017 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
